# Initial setup postman JWT error

**URL:** <https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963>\
**Category:** SHF Discussion and Questions\
**Tags:** identity-security-cloud, postman\
**Created:** [December 29, 2025, 6:20pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963 "2025-12-29T18:20:27Z")\
**Posts on this page:** 16\
**Page:** 1

<div class="post-metadata">

**Author:** ![josueblanco](https://avatars.discourse-cdn.com/v4/letter/j/f19dbf/32.png) [@josueblanco](https://developer.sailpoint.com/discuss/u/josueblanco)\
**Post date:** [December 29, 2025, 6:20pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/1 "2025-12-29T18:20:27Z")

</div>

Followed along with some of these postman initial setup links, believe i have my ‘environment’ correct with its variabls for tenant, client id/scrt but upon trying to test getting list of access prof it stated error JWT is required. is my ‘environment’ missing a variable, such as grant type? i ensure i selected the correct environment too, maybe i just missed a step

---

<div class="post-metadata">

**Author:** ![vkashat](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/vkashat/32/9721_2.png) [@vkashat](https://developer.sailpoint.com/discuss/u/vkashat)\
**Post date:** [December 29, 2025, 6:25pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/2 "2025-12-29T18:25:38Z")

</div>

If you click on the authorization tab in the call you’re making, what do you see?

---

<div class="post-metadata">

**Author:** ![josueblanco](https://avatars.discourse-cdn.com/v4/letter/j/f19dbf/32.png) [@josueblanco](https://developer.sailpoint.com/discuss/u/josueblanco)\
**Post date:** [December 29, 2025, 6:26pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/3 "2025-12-29T18:26:43Z")

</div>

auth type set to “Inherit auth from parent”, and next to that is “Bearer Token” and the Token field appears to be empty currently

---

<div class="post-metadata">

**Author:** ![vkashat](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/vkashat/32/9721_2.png) [@vkashat](https://developer.sailpoint.com/discuss/u/vkashat)\
**Post date:** [December 29, 2025, 8:10pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/4 "2025-12-29T20:10:17Z")

</div>

It should have a variable {{accessToken}}

Can you clarify which instructions you followed to set up the environments?

You may need to start over from here:

[Postman Collections | SailPoint Developer Community](https://developer.sailpoint.com/docs/api/postman-collections/)

You’d need to create forks of the current collections, then update the environment(s) to set the tenant, client id, and client secret.

---

<div class="post-metadata">

**Author:** ![mcheek](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/mcheek/32/23705_2.png) [@mcheek](https://developer.sailpoint.com/discuss/u/mcheek)\
**Post date:** [December 29, 2025, 8:19pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/5 "2025-12-29T20:19:56Z")

</div>

Look at the postman console and ensure an access token is being retrieved. There should be a POST call to the /oauth/token endpoint. Ensure that’s a 200 response.

Often I see in situations like this that people often forget to actually select the environment even though they create one.

Postman console is your friend

---

<div class="post-metadata">

**Author:** ![Tursun](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/tursun/32/36674_2.png) [@Tursun](https://developer.sailpoint.com/discuss/u/Tursun)\
**Post date:** [December 29, 2025, 9:21pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/6 "2025-12-29T21:21:20Z")

</div>

1. Generate an access token (JWT) by calling the token endpoint:POST https://{tenant}.api.identitynow.com/oauth/token with grant\_type=client\_credentials, client\_id, and client\_secret (PATs can be used to generate access tokens this way as well).
2. Use that token on your API call by adding:  
Authorization: Bearer {access\_token}

So: grant\_type is required in the token request, but the (JWT is required) error is happening on the Access Profiles call because Postman isn’t sending or isn’t updating the Bearer token on that call.

> **[Getting Started | SailPoint Developer Community](https://developer.sailpoint.com/docs/api/getting-started/)**
>
> Start using the ISC APIs.

---

<div class="post-metadata">

**Author:** ![vkashat](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/vkashat/32/9721_2.png) [@vkashat](https://developer.sailpoint.com/discuss/u/vkashat)\
**Post date:** [December 29, 2025, 9:22pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/7 "2025-12-29T21:22:23Z")

</div>

The collections have a pre-call script that should do this automatically

---

<div class="post-metadata">

**Author:** ![markomanium](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/markomanium/32/29738_2.png) [@markomanium](https://developer.sailpoint.com/discuss/u/markomanium)\
**Post date:** [December 29, 2025, 9:42pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/8 "2025-12-29T21:42:04Z")

</div>

That’s true, I can relate on not selecting it. @josueblanco Also, before that, make sure that you have your environment in fact “saved“ after defining variables and make sure it’s selected.

---

<div class="post-metadata">

**Author:** ![josueblanco](https://avatars.discourse-cdn.com/v4/letter/j/f19dbf/32.png) [@josueblanco](https://developer.sailpoint.com/discuss/u/josueblanco)\
**Post date:** [December 29, 2025, 10:08pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/9 "2025-12-29T22:08:10Z")

</div>

all thank you i will go ahead and start from the beginning as i see the link posted has the latest api collections that should help, thank you

---

<div class="post-metadata">

**Author:** ![vkashat](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/vkashat/32/9721_2.png) [@vkashat](https://developer.sailpoint.com/discuss/u/vkashat)\
**Post date:** [December 30, 2025, 3:22am UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/10 "2025-12-30T03:22:03Z")

</div>

Let us know how it goes or if you need further assistance. If it works, please mark this topic as solved.

Thank you!

---

<div class="post-metadata">

**Author:** ![NandanaSailpoint](https://avatars.discourse-cdn.com/v4/letter/n/34f0e0/32.png) [@NandanaSailpoint](https://developer.sailpoint.com/discuss/u/NandanaSailpoint)\
**Post date:** [December 31, 2025, 7:25am UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/11 "2025-12-31T07:25:10Z")

</div>

Hi Josue,

First fork from [Postman Collections | SailPoint Developer Community](https://developer.sailpoint.com/docs/api/postman-collections/) for ISC security cloud after that configure environment variables .

 ![image](https://global.discourse-cdn.com/sailpoint/original/3X/5/4/549c961f3e700511c92da9c9e2c01bd3ad9ab476.png)

Specify environment variables

====================

 ![image](https://global.discourse-cdn.com/sailpoint/original/3X/c/0/c03a7e308a77db21af45a1397895713852b32ebc.png)

---

<div class="post-metadata">

**Author:** ![amrdodani](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/amrdodani/32/33234_2.png) [@amrdodani](https://developer.sailpoint.com/discuss/u/amrdodani)\
**Post date:** [January 2, 2026, 7:39pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/12 "2026-01-02T19:39:12Z")

</div>

The key as you said: **Bearer token is empty while Auth is “Inherit from parent.”** That usually means the **collection pre-request script isn’t finding the variable names it expects** , so `{{accessToken}}` never gets populated (it’s not an API problem yet — it’s a Postman setup mismatch).

open the request → **Headers** and check if an `Authorization: Bearer …` header is actually being sent. If it’s missing/blank, the script didn’t set the token.

the SailPoint collections expect **exact environment variable names** (tenant/clientId/clientSecret/etc.).

If you created your own env with different names, the script won’t read them and token stays empty. you have to fork the official SailPoint collection and use the env template exactly as-is, then rerun — the token will start populating automatically.

---

<div class="post-metadata">

**Author:** ![josueblanco](https://avatars.discourse-cdn.com/v4/letter/j/f19dbf/32.png) [@josueblanco](https://developer.sailpoint.com/discuss/u/josueblanco)\
**Post date:** [January 8, 2026, 4:05pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/13 "2026-01-08T16:05:53Z")

</div>

Good morning all, so i see part of an issue. I have the lastest collections. but for some reason the tenant and domain variables in the collection’s baseurl aren’t pulling from my Testing environment. the collection variable is not resolving properly would i need to then add the baseurl directly to my test environment even though sailpoint guidance states not to do so?

---

<div class="post-metadata">

**Author:** ![amulpuru](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/amulpuru/32/39238_2.png) [@amulpuru](https://developer.sailpoint.com/discuss/u/amulpuru)\
**Post date:** [January 8, 2026, 5:06pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/14 "2026-01-08T17:06:49Z")

</div>

Hi @josueblanco ,

I suspect issue with postman set just remove and add collections against while performing fork make sure to also fork environment variables

Just replace the tenant with actual tenant name  
Along with client ID secret generated from Personal access token by navigation to your profile icon In tenant

If your trying to setup postman for partner tenant don’t forgot add identitynow-demo to the actual collection parameter

If you have done so that it you are good go  
I recommend to use vs code than postman because it is much easier to use  
It is just like changing somthing on file

Just to double check you have issue with intial postman set  
Copy any get url from developer doc and copy browser token  
Creat one get request in postman see if that is working for you

Im not attaching any reference links as peers already provided ample number of resources links and suggestions in this thread

Thanks in advance  
Avinash Mulpuru

---

<div class="post-metadata">

**Author:** ![NandanaSailpoint](https://avatars.discourse-cdn.com/v4/letter/n/34f0e0/32.png) [@NandanaSailpoint](https://developer.sailpoint.com/discuss/u/NandanaSailpoint)\
**Post date:** [January 8, 2026, 9:02pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/15 "2026-01-08T21:02:48Z")

</div>

@josueblanco Please ensure the same environment variables are available. Search for the **Identity Security Cloud v2025 API** collection in Postman, and then fork the collection. you can ping me on my personal chat and I can fix your issue.

 ![error screen](https://global.discourse-cdn.com/sailpoint/original/3X/e/6/e6eb28a4a29ccf75cad5943d5bfd196d70799563.png)

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [March 9, 2026, 9:03pm UTC](https://developer.sailpoint.com/discuss/t/initial-setup-postman-jwt-error/191963/16 "2026-03-09T21:03:05Z")

</div>

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.
